# Template Read the docs
Este repositório server de template para documentação do readthedocs do C3SL
[docs](docs.c3sl.ufpr.br).

[[_TOC_]]

# Como começar
O primeiro passo é realizar o folk do template e depois clonar o folk.

Após clonar, edite a documentação localizada em `sources` e quando terminar faça push para o gitlab
e link no [docs](docs.c3sl.ufpr.br).


# Organização do repositório
O repositório é dedicado a documentação e esta orgazanizado da seguinte maneira:
  * `build/` Diretório onde os arquivos compilados vão.
  * `cz.yaml` Arquivo de configuração do commitizen
  * `.git` Diretório de configuração do git
  * `.gitignore`Arquivo com padrões de nomes que o git deve ignorar ao realizar `git add` ou `git
  stage`
  * `Makefile` Makefile para fazer o build da documentação, resultado vai para o diretório `build`
  * `Pipfile` Arquivo do pipenv para criar ambiente do python para fazer build
  * `Pipfile.lock` Arquivo do pipenv para criar ambiente do python para fazer build
  * `.pre-commit-config.yaml` Arquivo de configuração do pre-commit
  * `README.md` arquivo de readme do repositório.
  * `.readthedocs.yaml` Arquivo de configuração do readthedocs
  * `requirements.txt` Arquivos com listas de modulos python para fazer build da documentação, deve
  ser igual ao `Pipfile`
  * `LICENSE` arquivo de licença
  * `.gitlab-ci.yml` Arquivo do Gitlab CI
  * `scripts/` Diretório com scripts variados.
    * `generate-requeriments.sh` Script que gera o arquivo `requirements.txt` a partir do `Pipfile`.
  * `source/` Diretório da documentação.
    * `conf.py` Arquivo de configuração do sphinx
    * `index.rst` Primeira página da documentação
    * `pages/` Diretório  com as páginas da documentação
      * `quickstart-rst.rst` Página com dicas de rst com sphinx
      * `quickstart-conf.rst` Página com dicas de configuração do `conf.py`
      * `quickstart-rdt.rst` Página de como incluir um repositório em [docs](docs.c3sl.ufpr.br)
    * `_static/` Diretório para armazenar arquivos estáticos, como imagens, gifs e etc.
    * `_templates/` Diretório para armazenar estilização das páginas, css, html e etc.
